Biblio::Thesaurus::ModRewrite::Parser(3pm)

NAME
Biblio::Thesaurus::ModRewrite::Parser - this module implements the parser for OML programs

VERSION
Version 0.02

DESCRIPTION
This module implements the parser used in Biblio::Thesaurus::ModRewrite to execute programs written in OML. OML is a domain specific language to describe operations to execut eon ontologies.

FUNCTIONS

  new
Create a new object.

  lex
Function used to tokenize source code.

  yyerror
Function used to report errors.

  init_lex
Function used to initialize everything we need.

AUTHOR
Nuno Carvalho, "<smash@cpan.org>"

J.Joao Almeida, "<jj@di.uminho.pt>"

Alberto Simoes, "<albie@alfarrabio.di.uminho.pt>"

COPYRIGHT & LICENSE
Copyright 2008 Nuno Carvalho, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.